%define anolis_release 2
%global pypi_name pytest-rerunfailures

Name:           python-%{pypi_name}
Version:        11.0
Release:        %{anolis_release}%{?dist}
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures

License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-rerunfailures
Source0:        https://github.com/pytest-dev/pytest-rerunfailures/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-toml
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-tox-current-env
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xdist


%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_rerunfailures


%check
%tox


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst README.rst


%changelog
* Tue Mar 26 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 11.0-2
- Rebuild with python3.11

* Wed Apr 19 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 11.0-1
- Initial package from upstream
